String json_url = "https://itunes.apple.com/search?term=blade+runner";

PImage[] covers;

int rows = 5;
int cols = 10;
int index = 0;

int resultCounts =0;
void setup() {

  size(1200, 800);
  JSONObject blade_runner = loadJSONObject(json_url); 
  saveJSONObject(blade_runner, "data/bladeRunner.json");

  resultCounts = blade_runner.getInt("resultCount");

  covers = new PImage[resultCounts];

  JSONArray items = blade_runner.getJSONArray("results");
  println(items.size());

  for (int i =0; i<items.size(); i++) 
  {
    String imageURL = items.getJSONObject(i).getString("artworkUrl100");
    covers[i] = loadImage(imageURL);
    println(imageURL);
  }
}

void draw() {
  while(index < resultCounts )
  {
  for (int i =0; i<rows; i++) {
    for (int j =0; j<cols; j++) {
        image(covers[index], 100+100*j, 100*i);
        index +=1;
      }
    }
  }
}